;;;; perl-in-lisp.asd - ASDF definition for a Lisp interface to Perl

;;; Copyright 2006 Stuart Sierra

;;; This program is free software; you can redistribute it and/or
;;; modify it under the terms of the Lisp Lesser GNU General Public
;;; License (LLGPL) published by Franz, Inc., available at
;;; http://opensource.franz.com/preamble.html

;;; This program is distributed in the hope that it will be useful,
;;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;;; Lesser GNU General Public License for more details.

(defpackage :perl-in-lisp.system
  (:documentation "ASDF system package for PERL-IN-LISP.")
  (:use :common-lisp :asdf))

(in-package :perl-in-lisp.system)

(defsystem :perl-in-lisp
  :components ((:static-file "perl-in-lisp.asd")
               (:module :src
                        :serial t
                        :components ((:file "address")
                                     (:file "perlapi")
                                     (:file "perl-in"))))
  :depends-on (:cffi))


(defsystem :perl-in-lisp.test
  :components ((:module :tests
                        :serial t
                        :components ((:file "lisp-unit")
                                     (:file "tests"))))
  :depends-on (:perl-in-lisp))


(defmethod perform ((op asdf:test-op) (system (eql (find-system :perl-in-lisp))))
  (asdf:oos 'asdf:load-op :perl-in-lisp.test)
  (format t "Tests loaded.
Change to package PERL-IN-LISP and execute
(RUN-TESTS) to run all tests."))

